Skip to main content
POST
/
accounts
/
{account_id}
/
automations
Create an Automation
curl --request POST \
  --url https://api.brale.xyz/accounts/{account_id}/automations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "name": "XYZ Onramp",
  "destination_address": {
    "address_id": "2VcUIIsgARwVbEGlIYbhg6fGG57",
    "value_type": "SBC",
    "transfer_type": "solana"
  }
}
'
{
  "id": "2VcUIIsgARwVbEGlIYbhg6fGG57"
}
Use the playground below to try this endpoint directly, or review the OpenAPI details in the right panel.

Authorizations

Authorization
string
header
required

Use the Bearer token returned from the Auth endpoint via OAuth2 client_credentials flow. Include the token in the "Authorization: Bearer " header.

Headers

Idempotency-Key
string
required

A unique string used to prevent duplicate operations. Each POST request must use a new idempotency key. Use a UUIDv4 string. Example: idemp-123e4567-e89b-12d3-a456-426614174000

Path Parameters

account_id
string<ksuid>
required

The ID of the account

Pattern: ^[a-zA-Z0-9]{26}$
Example:

"2VcUIIsgARwVbEGlIYbhg6fGG57"

Body

application/json
name
string
required
Example:

"XYZ Onramp"

destination_address
AutomationDestinationAddress · object
required

Response

201 - */*

Automation successfully created

id
string<ksuid>
Pattern: ^[a-zA-Z0-9]{26}$
Example:

"2VcUIIsgARwVbEGlIYbhg6fGG57"